import * as Types from "./";
import { CoreClient, InvokeResult } from "@polywrap/core-js";
export declare type UInt = number;
export declare type UInt8 = number;
export declare type UInt16 = number;
export declare type UInt32 = number;
export declare type Int = number;
export declare type Int8 = number;
export declare type Int16 = number;
export declare type Int32 = number;
export declare type Bytes = Uint8Array;
export declare type BigInt = string;
export declare type BigNumber = string;
export declare type Json = string;
export declare type String = string;
export declare type Boolean = boolean;
export interface Http_Request {
    headers?: Map<Types.String, Types.String> | null;
    urlParams?: Map<Types.String, Types.String> | null;
    responseType: Types.Http_ResponseType;
    body?: Types.String | null;
    formData?: Array<Types.Http_FormDataEntry> | null;
    timeout?: Types.UInt32 | null;
}
export interface Http_FormDataEntry {
    name: Types.String;
    value?: Types.String | null;
    fileName?: Types.String | null;
    type?: Types.String | null;
}
export interface Http_Response {
    status: Types.Int;
    statusText: Types.String;
    headers?: Map<Types.String, Types.String> | null;
    body?: Types.String | null;
}
export declare enum Http_ResponseTypeEnum {
    TEXT = 0,
    BINARY = 1
}
export declare type Http_ResponseTypeString = "TEXT" | "BINARY";
export declare type Http_ResponseType = Http_ResponseTypeEnum | Http_ResponseTypeString;
export interface Http_Module_Args_get {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export interface Http_Module_Args_post {
    url: Types.String;
    request?: Types.Http_Request | null;
}
export declare const Http_Module: {
    get: (args: Http_Module_Args_get, client: CoreClient) => Promise<InvokeResult<Types.Http_Response | null>>;
    post: (args: Http_Module_Args_post, client: CoreClient) => Promise<InvokeResult<Types.Http_Response | null>>;
};
